Announcement

Collapse
No announcement yet.

.eh_frame error FIXED with 4.4-94

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • .eh_frame error FIXED with 4.4-94

    I know the newest version of CodeSourcery is not officially supported but I was setting up a new machine and thought I would try it. On trying to make a project I get:

    error: no memory region specified for loadable section `.eh_frame'
    and a Makefile error.

    I am trying to follow the instructions here: http://www.makingthings.com/forum/bu...ests/483384448

    and have changed it to:
    /* Added to fix makefile error - jjackson */
    . = ALIGN(4);
    .eh_frame :
    {
    KEEP (*(.eh_frame))
    } > dram_memory

    Paste this into xport_pro.ld inside SECTIONS{} below the initial declarations, I did mine at the very end.

    Josh

  • #2
    Josh,

    Thanks for the timely knowledge. I've been pulling my hair out over this for the past day or so, and I just stumbled onto your solution this morning. My project now builds properly using 4.4-94.

    Tell me. How did you figure it out?

    - Bob

    Comment


    • #3
      In a word: Google

      Comment


      • #4
        Looks like the latest lite version released 5/7/10 (4.4-215) fixes this. Excellent.
        Last edited by jpalley; 05-10-2010, 03:42 PM. Reason: Fix'd info

        Comment

        Working...
        X